Bug 28419 - Upgrade Plasma install from the CI has two script errors, removes Mageiasync and isodumper
Summary: Upgrade Plasma install from the CI has two script errors, removes Mageiasync ...
Status: ASSIGNED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Release (media or process) (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: Mageia Bug Squad
QA Contact:
URL:
Whiteboard:
Keywords: 8final
Depends on:
Blocks:
 
Reported: 2021-02-23 18:03 CET by Thomas Andrews
Modified: 2021-02-26 11:32 CET (History)
5 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments
Mageia 8 upgrade install log (321.21 KB, text/plain)
2021-02-24 00:54 CET, Thomas Andrews
Details
ddebug.log (306.70 KB, application/zip)
2021-02-24 01:00 CET, Thomas Andrews
Details

Description Thomas Andrews 2021-02-23 18:03:24 CET
Description of problem:
On an upgrade install of Mageia 8 Plasma from the latest 64-bit "final" CI, I received two script errors:

The first was at the end of the packages installed from the iso itself, and concerned samba-client 4.10.18-1.1. After getting the notice, things proceeded without further incident until the end of upgrading packages from the online repositories, and concerned the boomaga package.

On the first boot, things seemed normal, except that the MageiaSync and Isodumper packages had been completely removed, not upgraded. 

Looking with drakrpm, It appears that the samba-client package had been installed, as was the mga8 boomaga package, but the mga7 boomaga package had not been removed. And I was able to confirm that MageiaSync and Isodumper were no longer installed. 

I tried "urpmi --auto-update" which generated no updates but did give me a long list of orphaned packages. I removed them with a bit of trepidation, but apparently suffered no ill effects. 

Affected hardware: Intel motherboard, i5 2500, 16GB RAM, Intel graphics, wired Internet connection, HP Laserjet CP1215 printer, HP Deskjet 5650 printer, HP Officejet 6500 all-in-one.
Comment 1 Thomas Andrews 2021-02-23 18:08:01 CET
Calling this a release blocker until the actual extent of the samba-client script error can be ascertained. I suspect the removal of Mageia sync and Isodumper may be related to this error, but I don't know enough to be at all sure of it.

The boomaga error, while annoying and it looks bad, is probably easily fixed manually by the user.

Keywords: (none) => 8final
Priority: Normal => release_blocker

Comment 2 Thomas Backlund 2021-02-23 18:10:05 CET
did you upgrade without online medias added ?

if so that explains mageiasync and isodumper as they are not on isos, so since they probably depends on specific python, tey get nuked in the upgrade
Comment 3 Aurelien Oudelet 2021-02-23 18:16:30 CET
(In reply to Thomas Andrews from comment #1)
> Calling this a release blocker until the actual extent of the samba-client
> script error can be ascertained. I suspect the removal of Mageia sync and
> Isodumper may be related to this error, but I don't know enough to be at all
> sure of it.
> 
> The boomaga error, while annoying and it looks bad, is probably easily fixed
> manually by the user.

for samba-client, this is on x86_64. Note that David Hodgins does not seem to see this this morning and he closed Bug https://bugs.mageia.org/show_bug.cgi?id=28042.

So. Reopening this.

CC: (none) => ouaurelien

Comment 4 Morgan Leijström 2021-02-23 18:29:37 CET
I set for_errata, but await for more input or fix

CC: (none) => fri
Keywords: (none) => FOR_ERRATA8

Comment 5 Thomas Backlund 2021-02-23 18:34:01 CET
there is no errata stuff here... samba bits are already being tracked in the othet bug

Keywords: FOR_ERRATA8 => (none)

Comment 6 Thomas Andrews 2021-02-23 18:53:11 CET
(In reply to Thomas Backlund from comment #2)
> did you upgrade without online medias added ?
> 
> if so that explains mageiasync and isodumper as they are not on isos, so
> since they probably depends on specific python, tey get nuked in the upgrade

No, online media was added. That was how I got the boomaga script error.
Comment 7 Dave Hodgins 2021-02-23 22:10:03 CET
Do you have the logs from the upgrade install?

Was the online media added at the beginning of the install or at the end?

CC: (none) => davidwhodgins

Comment 8 Thomas Andrews 2021-02-23 23:09:02 CET
(In reply to Dave Hodgins from comment #7)
> Do you have the logs from the upgrade install?
> 
I remember they are there someplace, but have forgotten where they are stored or how to access them. It's been a couple of years, at least.

> Was the online media added at the beginning of the install or at the end?
 
At the end. I didn't know you could add online media until the Internet connection had been started after the install. Other upgrades have "just worked," though they didn't have as much "extra" stuff as this one.
Comment 9 Thomas Andrews 2021-02-23 23:31:48 CET
I was able to easily install both MageiaSync and Isodumper. They brought in a bunch of dependencies, but they might have been removed when I dumped what urpmi told me were now orphans.

I removed the mga7 boomaga, which removed the boomaga printer, but going to system-config-printer and adding it back again was successful. I had to go there anyway and tell the server not to publish the shared printers, so that only one of each showed when I printed something.
Comment 10 Dave Hodgins 2021-02-24 00:13:44 CET
(In reply to Thomas Andrews from comment #8)
> (In reply to Dave Hodgins from comment #7)
> > Do you have the logs from the upgrade install?
> > 
> I remember they are there someplace, but have forgotten where they are
> stored or how to access them. It's been a couple of years, at least.

Look for /root/*.log or /root/*/*.log depending on how the upgrade was done.
Comment 11 Thomas Andrews 2021-02-24 00:54:50 CET
Created attachment 12376 [details]
Mageia 8 upgrade install log

Found it in /root/drakx.
Comment 12 Thomas Andrews 2021-02-24 01:00:15 CET
Created attachment 12377 [details]
ddebug.log
Comment 13 Dave Hodgins 2021-02-24 01:41:35 CET
* chkconfig not installed, %triggerun(samba-client-4.10.18-1.1.mga7.x86_64) scriptlet failed, exit status 1

In Mageia 7 ...
]# rpm -q --triggers samba-client 
triggerin scriptlet (using /bin/sh) -- cups
ln -sf /usr/libexec/samba/cups_backend_smb /usr/lib/cups/backend/smb || :

# Remove the symlink if either samba-client or cups is removed
triggerun scriptlet (using /bin/sh) -- cups
[[ $1 == 0 || $2 == 0 ]]  && rm -f /usr/lib/cups/backend/smb

# Clean up alternatives from 3.x dropped with 4.x:
triggerpostun scriptlet (using /bin/sh) -- samba-client < 4.10.9
/usr/sbin/update-alternatives --remove smbclient /usr/bin/smbclient3 || :
# There seems to be no other way to do this:
rm -f /var/lib/alternatives/smbclient

### KRB5-PRINTING

In my upgrade test, I removed as many large packages as I could prior to the
upgrade, which included removing task printing scanning and all it's orphans,
including cups, so that's why I didn't encounter it.

Anyway, it doesn't cause the transaction to fail or negatively impact the
upgrade except for the message briefly on the screen, and later in the logs.

Decreasing the priority. We know the fix, it just has to get built as an update
in Mageia 7.

Priority: release_blocker => Normal
Severity: major => normal

Comment 14 Buchan Milne 2021-02-26 06:22:53 CET
> The first was at the end of the packages installed from the iso itself, and concerned samba-client 4.10.18-1.1. After getting the notice, things proceeded without further incident

Unfortunately, the problem is the trigger of the package on your installed system prior to the upgrade, not from the one you are upgrading to.

We can fix getting the warning during the upgrade, but only by pushing an update that will also give the warning when installing the update.

Status: NEW => ASSIGNED
CC: (none) => bgmilne

Comment 15 Morgan Leijström 2021-02-26 11:32:29 CET
Samba stuff is handled in Bug 28042, which is in errata.

Note You need to log in before you can comment on or make changes to this bug.